VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Variables
Steinberg::Vst::AttributesStyle Namespace Reference

Attributes Style associated a specific Layer Type in a VST XML Representation. More...

## Variables
const CString | kInverseStyle = "inverse"
| Global Style.
const CString | kLEDWrapLeftStyle = "wrapLeft"
| LED Style.
const CString | kLEDWrapRightStyle = "wrapRight"
| ----—<====|
const CString | kLEDSpreadStyle = "spread"
| —<==|==>—
const CString | kLEDBoostCutStyle = "boostCut"
| ---—|===>–
const CString | kLEDSingleDotStyle = "singleDot"
| -----—|-—
const CString | kSwitchPushStyle = "push"
| Switch Style.
const CString | kSwitchPushIncLoopedStyle = "pushIncLooped"
| Push will increment the value.
const CString | kSwitchPushDecLoopedStyle = "pushDecLooped"
| Push will decrement the value. When the min is reached it will restart with max.
const CString | kSwitchPushIncStyle = "pushInc"
| Increment after each press (delta depends of the curve).
const CString | kSwitchPushDecStyle = "pushDec"
| Decrement after each press (delta depends of the curve).
const CString | kSwitchLatchStyle = "latch"
| Each push-release will change the value between min and max.

## Detailed Description

Attributes Style associated a specific Layer Type in a VST XML Representation.

## Variable Documentation

const CString kInverseStyle = "inverse"

Global Style.

the associated layer should use the inverse value of parameter (1 - x).

const CString kLEDWrapLeftStyle = "wrapLeft"

LED Style.

|======>--— (the default one if not specified)

const CString kLEDWrapRightStyle = "wrapRight"

----—<====|

const CString kLEDSpreadStyle = "spread"

—<==|==>—

const CString kLEDBoostCutStyle = "boostCut"

---—|===>–

const CString kLEDSingleDotStyle = "singleDot"

-----—|-—

const CString kSwitchPushStyle = "push"

Switch Style.

Apply only when pressed, unpressed will reset the value to min.

const CString kSwitchPushIncLoopedStyle = "pushIncLooped"

Push will increment the value.

When the max is reached it will restart with min. The default one if not specified (with 2 states values it is a OnOff switch).

const CString kSwitchPushDecLoopedStyle = "pushDecLooped"

Push will decrement the value. When the min is reached it will restart with max.

const CString kSwitchPushIncStyle = "pushInc"

Increment after each press (delta depends of the curve).

const CString kSwitchPushDecStyle = "pushDec"

Decrement after each press (delta depends of the curve).

const CString kSwitchLatchStyle = "latch"

Each push-release will change the value between min and max.

A timeout between push and release could be used to simulate a push style (if timeout is reached).

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.